=== src/ecmascript/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config
INCLUDES += $(SPIDERMONKEY_CFLAGS)

SUBDIRS = spidermonkey
OBJS	= ecmascript.o spidermonkey.o

include $(top_srcdir)/Makefile.lib
