=== src/dom/sgml/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

SUBDIRS = html rss xbel
OBJS	= sgml.o parser.o scanner.o

include $(top_srcdir)/Makefile.lib
