=== src/protocol/rewrite/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

OBJS = rewrite.o

include $(top_srcdir)/Makefile.lib
