=== src/protocol/smb/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

OBJS = smb.o

include $(top_srcdir)/Makefile.lib
