=== src/viewer/text/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_MARKS) += marks.o

OBJS = draw.o form.o link.o search.o textarea.o view.o vs.o

include $(top_srcdir)/Makefile.lib
