=== debian/control ===
Source: elinks
Section: web
Priority: optional
Maintainer: Peter Gervai <grin@tolna.net>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), m4, bison, libgnutls11-dev, libgpmg1-dev [alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64 amd64], liblua50-dev, liblualib50-dev, libbz2-dev, libexpat1-dev (>= 1.95.6), type-handling (>= 0.2.1), libperl-dev

Package: elinks
Architecture: any
Depends: ${shlibs:Depends}, debconf
Provides: links, www-browser
Description: advanced text-mode WWW browser
 ELinks (Enhanced Links) is a lynx-like character mode browser,
 created from the Links browser with many patches and enhancements.
 It includes support for rendering tables and frames, features 
 background downloads, can display colors, supports the Lua scripting
 language, IPV6 and has many other features. ELinks is linked against
 GNUTLS to prevent license issues.
 .
 Homepage: http://elinks.or.cz/
